<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table34', function (Blueprint $table) {
            $table->id('DatasetTable34Id');
            $table->integer('dataset_id');
            $table->string('kabupaten_kota')->nullable();
            $table->float('jumlah_rumah_tangga')->default(0);
            $table->float('jumlah_rumah_tangga_miskin')->default(0);
            $table->float('persentase_rumah_tangga_miskin')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table34s');
    }
};
